using System;

namespace BS.Shared.DataContracts.Compact
{
    public partial class CompactCostBearerDC : IInvoiceRecipient
    {
        public decimal? DefaultAmount
        {
            get
            {
                return null;
            }
        }

        public string InvoiceAddressString
        {
            get
            {
                if (this.Organisation != null)
                {
                    return this.Organisation.Street + Environment.NewLine + this.Organisation.PostalCode + " " + this.Organisation.Town;
                }
                else
                {
                    return null;
                }
            }
        }

        public string Name
        {
            get
            {
                return this.OrganisationName;
            }
        }

        public long? Oid
        {
            get
            {
                return this.Organisation != null ? this.Organisation.OrganisationOid : 0;
            }
        }

        public string OrganisationName
        {
            get
            {
                return this.Organisation != null ? this.Organisation.Name : null;
            }
        }
    }
}